## org.apache.poi.poifs.storage
Class PropertyBlock

    java.lang.Object
      org.apache.poi.poifs.storage.BigBlock
          org.apache.poi.poifs.storage.PropertyBlock

All Implemented Interfaces:
  BlockWritable

public class PropertyBlock
extends org.apache.poi.poifs.storage.BigBlock

A block of Property instances

Author:
  Marc Johnson (mjohnson at apache dot org)

Method Summary
`static BlockWritable[]` `createPropertyBlockArray(java.util.List properties)` Create an array of PropertyBlocks from an array of Property instances, creating empty Property instances to make up any shortfall
`protected void` `doWriteData(java.io.OutputStream stream, byte[] data)` Default implementation of write for extending classes that contain their data in a simple array of bytes.
`void` `writeBlocks(java.io.OutputStream stream)` Write the storage to an OutputStream

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### createPropertyBlockArray

    public static BlockWritable[] createPropertyBlockArray(java.util.List properties)

  Create an array of PropertyBlocks from an array of Property instances, creating empty Property instances to make up any shortfall

  Parameters:
    `properties` - the Property instances to be converted into PropertyBlocks, in a java List
  Returns:
    the array of newly created PropertyBlock instances

### doWriteData

    protected void doWriteData(java.io.OutputStream stream,
                               byte[] data)
                        throws java.io.IOException

  Default implementation of write for extending classes that contain their data in a simple array of bytes.

  Parameters:
    `stream` - the OutputStream to which the data should be written.
    `data` - the byte array of to be written.
  Throws:
    `java.io.IOException` - on problems writing to the specified stream.

### writeBlocks

    public void writeBlocks(java.io.OutputStream stream)
                     throws java.io.IOException

  Write the storage to an OutputStream

  Specified by:
    `writeBlocks` in interface `BlockWritable`
  Parameters:
    `stream` - the OutputStream to which the stored data should be written
  Throws:
    `java.io.IOException` - on problems writing to the specified stream

Copyright © 2003 Apache Software Foundation.